%define major		0
%define libname 	%mklibname cpufreq %major
%define develname	%mklibname cpufreq -d

Name:         cpufrequtils
URL:          http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Version:      005
Release:      %mkrel 2
Summary:      Tools to determine and set cpufreq settings
License:      GPLv2
Group:        System/Base
Source:       http://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
Patch0:	      cpufrequtils-005-parallel.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

BuildRequires: libtool

%description
To make access to the Linux kernel cpufreq subsystem easier for users
and cpufreq userspace tools, the cpufrequtils package was created. It
contains a library used by other programs (libcpufreq), command line
tools to determine current CPUfreq settings and to modify them
(cpufreq-info and cpufreq-set), and debug tools.

%package -n %{libname}
Summary:        Dynamic library for programs accessing cpufreq subsystem
Group:          %{group}

%description -n %{libname}
Dynamic library for programs accessing cpufreq subsystem.

%package -n     %{develname}
Summary:        Static libraries, include files for cpufrequtils
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       libcpufreq-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Obsoletes:	%{mklibname cpufreq 0 -d}

%description -n %{develname}
Static libraries, include files for cpufrequtils.

%prep
%setup -q
%patch0 -p1 -b .parallel

%build
%make

%install
rm -rf %{buildroot}
%makeinstall localedir=%{buildroot}%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%doc README AUTHORS
%defattr (-,root,root)
%{_mandir}/man1/*
%{_bindir}/*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*


%changelog
* Wed Aug 13 2008 Olivier Blin <oblin@mandriva.com> 005-2mdv2009.0
+ Revision: 271582
- fix parallel build

* Mon Aug 11 2008 Frederik Himpe <fhimpe@mandriva.org> 005-1mdv2009.0
+ Revision: 270854
- update to new version 005

* Wed Aug 06 2008 Frederik Himpe <fhimpe@mandriva.org> 004-1mdv2009.0
+ Revision: 264525
- New version 004
- Does not requires libsysfs anymore

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 003-2mdv2009.0
+ Revision: 264372
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 trem <trem@mandriva.org> 003-1mdv2009.0
+ Revision: 211254
- update to 003

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 002-3mdv2008.1
+ Revision: 149134
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 14 2007 Adam Williamson <awilliamson@mandriva.org> 002-2mdv2008.0
+ Revision: 85776
- rebuild for 2008
- package docs
- protect against major change in file list
- new devel policy
- Fedora license policy


* Fri Dec 29 2006 Olivier Blin <oblin@mandriva.com> 002-1mdv2007.0
+ Revision: 102472
- buildrequire libtool
- new release 002 (which is greater than 0.4)
- Import cpufrequtils

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4-3mdk
- rebuild for sparc

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-2mdk
- Fix BuildRequires

* Tue Dec 20 2005 Lenny Cartier <lenny@mandriva.com> 0.4-1mdk
- 0.4

* Sun Aug 07 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3-1mdk 
- First mdk package (based on SUSE package)

